---
title: "rclone completion powershell"
description: "Output powershell completion script for rclone."
aliases:
  - /commands/rclone_genautocomplete_powershell/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/completion/powershell/ and as part of making a release run "make commanddocs"
---
# rclone completion powershell

Output powershell completion script for rclone.

## Synopsis

Generate the autocompletion script for powershell.

To load completions in your current shell session:

```console
rclone completion powershell | Out-String | Invoke-Expression
```

To load completions for every new session, add the output of the above command
to your powershell profile.

If output_file is "-" or missing, then the output will be written to stdout.

```
rclone completion powershell [output_file] [flags]
```

## Options

```
  -h, --help   help for powershell
```

See the [global flags page](/flags/) for global options not listed here.

## See Also

<!-- markdownlint-capture -->
<!-- markdownlint-disable ul-style line-length -->

* [rclone completion](/commands/rclone_completion/)	 - Output completion script for a given shell.


<!-- markdownlint-restore -->
